|  | Home | Documentation | saml2__AssertionType Struct Reference updated by Robert van Engelen |

Classes | Public Attributes | List of all members
saml2__AssertionType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":AssertionType is a complexType. More...

`#include <saml2.h>`

Collaboration diagram for saml2__AssertionType:
[legend]

## Classes

struct | __saml2__union_AssertionType

## Public Attributes

struct saml2__NameIDType * | saml2__Issuer
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"Issuer.
_ds__Signature * | ds__Signature
| Imported element reference "http://www.w3.org/2000/09/xmldsig#":Signature.
struct saml2__SubjectType * | saml2__Subject
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"Subject.
struct saml2__ConditionsType * | saml2__Conditions
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"Conditions.
struct saml2__AdviceType * | saml2__Advice
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"Advice.
$ int | __size_AssertionType
struct saml2__AssertionType::__saml2__union_AssertionType * | __union_AssertionType
char * | Version
| Attribute "Version" of type xs:string.
char * | ID
| Attribute "ID" of type xs:ID.
xsd__dateTime | IssueInstant
| Attribute "IssueInstant" of type xs:dateTime.
char * | wsu__Id
| Member declared in WS/WS-typemap.dat.

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":AssertionType is a complexType.

Note
  struct saml2__AssertionType operations:
  - saml2__AssertionType* soap_new_saml2__AssertionType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml2__AssertionType(struct soap*, saml2__AssertionType*) default initialize members
  - int soap_read_saml2__AssertionType(struct soap*, saml2__AssertionType*) deserialize from a source
  - int soap_write_saml2__AssertionType(struct soap*, saml2__AssertionType*) serialize to a sink
  - saml2__AssertionType* soap_dup_saml2__AssertionType(struct soap*, saml2__AssertionType* dst, saml2__AssertionType <em>src) returns deep copy of saml2__AssertionType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml2__AssertionType(saml2__AssertionType
  ) deep deletes saml2__AssertionType data members, use only on dst after soap_dup_saml2__AssertionType(NULL, saml2__AssertionType *dst, saml2__AssertionType *src) (use soapcpp2 -Ed)

## Member Data Documentation

## ◆ __size_AssertionType

$ int saml2__AssertionType::__size_AssertionType

## ◆ __union_AssertionType

struct saml2__AssertionType::__saml2__union_AssertionType * saml2__AssertionType::__union_AssertionType

## ◆ ds__Signature

_ds__Signature* saml2__AssertionType::ds__Signature

Imported element reference "http://www.w3.org/2000/09/xmldsig#":Signature.

Optional element.

## ◆ ID

char* saml2__AssertionType::ID

Attribute "ID" of type xs:ID.

Required attribute.

## ◆ IssueInstant

xsd__dateTime saml2__AssertionType::IssueInstant

Attribute "IssueInstant" of type xs:dateTime.

Required attribute.

## ◆ saml2__Advice

struct saml2__AdviceType* saml2__AssertionType::saml2__Advice

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"Advice.

Optional element.

## ◆ saml2__Conditions

struct saml2__ConditionsType* saml2__AssertionType::saml2__Conditions

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"Conditions.

Optional element.

## ◆ saml2__Issuer

struct saml2__NameIDType* saml2__AssertionType::saml2__Issuer

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"Issuer.

Required element.

## ◆ saml2__Subject

struct saml2__SubjectType* saml2__AssertionType::saml2__Subject

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"Subject.

Optional element.

## ◆ Version

char* saml2__AssertionType::Version

Attribute "Version" of type xs:string.

Required attribute.

## ◆ wsu__Id

char* saml2__AssertionType::wsu__Id

Member declared in WS/WS-typemap.dat.

Optional attribute.

The documentation for this struct was generated from the following file:

- saml2.h